{% extends 'base.html' %}
{% block content %}
<section>
  <nav>
      / <a href="{% url 'template_list' %}">Home</a>
      / <span>Documentos</span>
  </nav>
  <table>
    <tbody>
      {% for document in documents %}
      <tr>
        <th>{{ document.filename }}</th>
        <td><a href="{% url 'document_download' pk=document.pk%}">docx</a></td>
        <td><a href="{% url 'document_download' pk=document.pk%}?format=pdf">pdf</a></td>
      </tr>
      {% empty %}
      <tr>
        <td>
          Ainda não há nenhum documento criado. Crie um novo
          <a href="{% url 'document_new' template_slug=slug%}">aqui</a>.
        </td>
      </tr>
      {% endfor %}
    </tbody>
  </table>
  {% if documents and count %}
      <p align="center">
      {% if start > 1 %}
          <a href="{{ previous }}"> Página anterior </a> |
      {% endif %}
      {{ start }} - {{ end }} de {{ count }}
      {% if end < count  %}
          | <a href="{{ next }}"> Próxima página </a>
      {% endif %}
      </p>
  {% endif %}
  <div>
    <a class="button" href="{% url 'document_new' template_slug=slug%}">Novo</a>
  </div>
</section>
{% endblock %}
